Package org.apache.ignite.internal.management.baseline

## Class AbstractBaselineCommand

- java.lang.Object
- - org.apache.ignite.internal.management.baseline.AbstractBaselineCommand

All Implemented Interfaces:
  `Command<BaselineCommand.BaselineTaskArg,​BaselineTaskResult>`, `ComputeCommand<BaselineCommand.BaselineTaskArg,​BaselineTaskResult>`

Direct Known Subclasses:
  `BaselineAddCommand`, `BaselineAutoAdjustCommand`, `BaselineRemoveCommand`, `BaselineSetCommand`, `BaselineVersionCommand`

    public abstract class AbstractBaselineCommand
    extends Object
    implements ComputeCommand<BaselineCommand.BaselineTaskArg,​BaselineTaskResult>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`AbstractBaselineCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<GridClientNode>` `nodes​(Collection<GridClientNode> nodes, BaselineCommand.BaselineTaskArg arg)`
`void` `printResult​(BaselineCommand.BaselineTaskArg arg, BaselineTaskResult res, Consumer<String> printer)` Prints command result to the user.
`Class<BaselineTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`argClass, confirmationPrompt, deprecationMessage, description`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException`

### Constructor Detail

#### AbstractBaselineCommand

    public AbstractBaselineCommand()

### Method Detail

#### taskClass

    public Class<BaselineTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<BaselineCommand.BaselineTaskArg,​BaselineTaskResult>`
Returns:
  Task class.

#### nodes

    public Collection<GridClientNode> nodes​(Collection<GridClientNode> nodes,
                                            BaselineCommand.BaselineTaskArg arg)

Specified by:
  `nodes` in interface `ComputeCommand<BaselineCommand.BaselineTaskArg,​BaselineTaskResult>`
Parameters:
  `nodes` - Live nodes.
  `arg` - Argument.
Returns:
  nodes to execute command on, `null` means default node must be used.

#### printResult

    public void printResult​(BaselineCommand.BaselineTaskArg arg,
                            BaselineTaskResult res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<BaselineCommand.BaselineTaskArg,​BaselineTaskResult>`
Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.